Offline Files overview

You can make network files available offline by storing shared files on your computer so they are accessible when you are not connected to the network.

This can be helpful when you use a portable computer to accomplish most of your work, or if your stand-alone computer is frequently disconnected from the network. You can work with offline files the same way you work with files when you’re connected to the network.

When you reconnect to the network, any changes that you made to files while working offline are updated to the network. This process is called synchronization. If you and someone else on the network made changes to the same file, you can save your version of the file to the network, keep the other version, or save both.

If you share folders on your computer with others on the network, they can work offline with those folders. To protect files in your shared folders, you can specify whether other users can change your documents or just view them. You can also control which shared files users can access offline.

Notes

  • Any shared files or folders on a Microsoft network can be made available offline. You can make files available offline by using any computer that supports Server Message Block (SMB)-based file and print sharing, including Windows 95, Windows 98, Windows NT 4.0, and XOX. The Offline Files feature is not available on Novell NetWare networks.
  • The system administrator can set up shared folders so that every network file you open in the shared folder is automatically made available offline, or so that only those network files you choose are made available offline.

Related Topics


Set up your computer to use offline files

Microsoft Windows graphic

To set up your computer to use offline files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, make sure that the Enable Offline Files check box is selected.
  4. Select Synchronize all offline files before logging off to get a full synchronization. Leave it unselected for a quick synchronization.

Notes

  • XOX
  • A full synchronization ensures that you have the most current version of every shared network file that you work with offline. A quick synchronization ensures that you have complete versions of your offline files, although they may not be the most current versions. You might select a quick synchronization if you are the only person working on a file or if you do not need the most current version of a file.
  • If you want to control which offline files are synchronized, when they are synchronized, and whether Windows prompts you before synchronizing your files, you can use Synchronization Manager. XOX
  • After you set up your computer to use offline files, you need to make shared network files available to you offline. XOX


Make Web pages available offline

To make Web pages available offline

  1. Open Internet Explorer.
  2. Access the Web page you want to make available offline.
  3. On the Favorites menu, click Add to Favorites.
  4. Select the Make available offline check box.
  5. To schedule updates for the Web page and how much content to download, click Customize.
  6. Follow the instructions on your screen.

Notes

  • XOX
  • For more information about using Web pages offline, see Internet Explorer Help.


Make offline files unavailable

To make offline files unavailable

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, click Advanced.
  4. Click Add.
  5. Type the name of a network computer, or click Browse to find the computer that contains the files you do not want to be available when you are disconnected from the network.
  6. Under When a network connection is lost, click Never allow my computer to go offline.

Notes

  • XOX
  • This process makes files from individual computers unavailable to you when you are disconnected from the network.
  • You can also set your computer's default response for offline files from all network computers when you disconnect from the network. On the Offline Files tab, click Advanced. Under When a network connection is lost, do one of the following:
    • To be notified when the network connection is lost and continue working with the files you made available offline, click Notify me and begin working offline.
    • To make all offline files unavailable to you if you lose your network connection, click Never allow my computer to go offline.


Compile Date

 Compile Date: 2001-06-12


Delete your offline files

To delete your offline files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, click Delete Files.
  4. In the Confirm File Delete dialog box, select the check box next to the shared folder that contains the offline files you want to delete.
  5. Do one of the following:
    • To remove copies of the network files Windows automatically stores on your computer, click Delete only the temporary offline versions.
    • To remove the network files that are automatically stored on your computer as well as the network files you specifically made available offline, click Delete both the temporary offline versions and the versions that are always available offline.

Notes

  • XOX
  • To delete individual offline files, on the Offline Files tab, click View Files. Select the files you want to delete. On the File menu, click Delete.
  • Temporary offline files are also known as automatically cached files. These shared network files are automatically downloaded and made available to you on your computer when you open them. You do not need to make these files available offline, they are available automatically. Windows may remove them from your local cache at any time if more more disk space is needed for other temporary files.
  • The shared network files that you have specifically made available offline are always available to you. These files will not be removed from your computer unless you delete them.


Encrypt offline files

To encrypt offline files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, select the Encrypt offline files to secure data check box.

Notes

  • XOX
  • If the Encrypt offline files to secure data check box is selected and grayed, the offline files are either partially encrypted or partially decrypted. A balloon over the check box will identify the current state of the files. To encrypt the files, click the check box twice to select it. To decrypt the files, click to clear the check box.
  • The Encrypt offline files to secure data check box is disabled under the following conditions:
    1. You are not an administrator on the computer.
    2. The local drive is not NTFS or does not support encryption.
    3. Your system administrator has implemented an encryption policy for offline files.


Make a file or folder available to you offline

To make a file or folder available to you offline

  1. Open My Computer.
  2. Double-click a network drive to view its contents.
  3. Click the shared network file or folder that you want to make available offline.
  4. On the File menu, click Make Available Offline.

    5. Important

    • Make Available Offline will appear on the File menu only if you set up your computer to use offline files. XOX

Notes

  • XOX
  • If My Computer does not contain links to any network drives, you need to assign a drive letter to a shared network resource. XOX
  • To view a list of all of the shared network files that are available offline, on the Tools menu, click Folder Options. On the Offline Files tab, click View Files.
  • If all of the files in a shared folder are made available offline, any files placed in that folder will automatically be made available offline the next time you synchronize your computer with the network. The network administrator determines which files are available offline.
  • You can make a shortcut to a file available offline. However, if you make a shortcut to a folder available offline, the contents of the folder will not be available offline.
  • To make a network file or folder unavailable offline, right-click the item, and click Make Available Offline again to clear the check mark.


Preparing to work offline

Before you can work with files and programs offline, you need to set up your computer for using offline files. Working offline means working with shared network files, folders, and programs when you are not connected to the network. You can also work offline with Web pages from your company's Web site or the Internet. To prepare to work offline, use the following procedures. The procedures are the same for portable and stand-alone computers.

Set up your computer to use offline files

Your computer is set up to use offline files by default, but you need to select the synchronization option to determine which version of the network files you have.

Step-by-step procedure

Make a file or folder available to you offline

The first time you make a network file or folder available to you offline, the Offline Files Wizard will guide you through the process. When the Synchronizing dialog box disappears, the item is available offline.

Step-by-step procedure

Make Web pages available offline

Using Microsoft Internet Explorer, you can make Web pages or entire Web sites, including links, available for offline viewing. A wizard prompts you to specify how much content to make available offline. You can also set up a schedule to synchronize content automatically.

Because you use Internet Explorer to make Web pages available offline, the offline files settings you select using My Computer, in the Folder Options dialog box, do not apply to the Web pages you make available offline. Instead, use the options that are available for offline Web pages in Internet Explorer.

Step-by-step procedure

Make offline files unavailable

You can make shared programs and files from specific network computers unavailable to you offline. This is useful if you want to continue working offline by default, but you do not want to work offline on any files from a specific computer on the network.

Step-by-step procedure


Change offline file access for shared folders

To change offline file access for shared folders

  1. Open My Computer.
  2. Right-click a folder or drive that you have shared on the network, and then click Sharing.
  3. Click Caching.
  4. Make sure that the Allow caching of files in this shared folder check box is selected.
  5. Select the setting you want.

    6. Manual caching of documents

    Provides offline access only to those files other users specifically identify. This caching option is ideal for a shared folder containing files that several people will access and modify. Manual caching is the default option when you make a shared folder available offline.

    Automatic caching of documents

    Makes every open file in a shared folder available offline. Older copies of files are automatically deleted to make way for newer versions.

    Automatic caching of programs and documents

    Provides offline access to shared folders containing files that cannot be changed. This caching option reduces network traffic because offline files are opened directly without accessing the network versions. The offline files generally start and run faster than the network versions.

    When you use Automatic caching of programs and documents, be sure to restrict permissions on the files contained in the shared folder to read-only access.

Notes

  • XOX
  • The default cache size is set to 10 percent of available disk space, but you can change this setting. On the Offline Files tab, under Amount of disk space to use for temporary offline files, drag the slider to the right to increase the cache size or to the left to decrease the cache size.
  • To see how much disk space the cache is using, open the Offline Files folder, and on the File menu, click Properties.


View your offline files

To view your offline files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. On the Offline Files tab, click View Files.

Note

  • XOX


Working offline

Windows helps you work offline by enabling you to use shared network files and programs even when you are not connected to the network. Once you set up your portable or stand-alone computer to work offline, you can continue to work on shared network files as you normally do.

When you are working with offline files, you can view them in your Offline Files folder and delete them from your folder. You may also want to specify how and when your files are synchronized, or you may want to encrypt your offline files. These tasks, and some common questions about working offline, are addressed in the following information.

View your offline files

When you select a file in the Offline Files folder, Windows displays information about the file, such as its availability, type, location, and size.

Step-by-step procedure

Delete your offline files

When you delete files from your Offline Files folder, the network versions of the files are not deleted. You can choose to delete only your temporary offline files or all of your offline files.

Step-by-step procedure

Manage file synchronization

When you set up your computer to use offline files, you can select an option that enables Windows to perform automatic file synchronization for all of your offline files. Or, you can use Synchronization Manager to control which offline files are synchronized, when they are synchronized, and whether Windows asks you before synchronizing your files.

Step-by-step procedure

Encrypt your offline files

You can encrypt your offline files to keep them secure if your drive is formatted as NTFS. If you choose to encrypt your offline files, the files on your local computer are encrypted as well as the files on the network. You do not need to decrypt an encrypted file or folder before using it.

Step-by-step procedure

Common questions about working offline:

How will I know when my network connection changes?

When the status of your network connection changes, the Offline Files icon appears in the notification area, and an informational balloon is displayed to inform you of the change. When you are disconnected from the network, a red X appears over the network drives in My Computer or My Network Places. When you browse these drives, you will only be able to see the files you made available offline.

Do my privileges change when I am working offline?

Your privileges for working with the network files and folders you make available offline remain the same whether you are connected to the network or working offline. For example, if you have read-only privileges for a file on a network drive, you will have read-only privileges to it when you disconnect from the network.

Can I print to network printers when I am working offline?

When you are disconnected from the network, you cannot print to shared printers on the network, but you can print to local printers.

What happens when I reconnect to the network?

When you reconnect to the network, the network files are synchronized with your offline files. This means that the network files are updated with changes that you made while working offline. If someone else didn't change the network copies of files you changed offline, your changes are copied to the network. If someone else did make changes, you can choose to keep your version, keep the one on the network, or keep both.

If multiple users are logged on to your computer with files open from the same shared folder, you will not be able to synchronize your files until their files are closed.

If you delete an offline file but someone else changes that file on the network, the file is deleted from your computer but not from the network.

If you change an offline file but someone else deletes it from the network, you can choose to save your version onto the network or delete it from your computer.

If you are disconnected from the network when a new file is added to a shared network folder, that new file will be added to your computer when you reconnect and synchronize.